#!/bin/sh

# As root
ROOT=$(pwd)
TARGET=/usr/local/bin

# Install golang
rpm --import https://mirror.go-repo.io/centos/RPM-GPG-KEY-GO-REPO
curl -s https://mirror.go-repo.io/centos/go-repo.repo | sudo tee /etc/yum.repos.d/go-repo.repo
yum -y install golang

# Install mender-artifact, mender-cli tools and dependencies
cd /tmp
yum -y install mtools xz-devel
go get github.com/urfave/cli
go get github.com/sirupsen/logrus
go get github.com/mendersoftware/mender-artifact
go get github.com/mendersoftware/mender-cli
go get github.com/pkg/errors
git clone https://github.com/mendersoftware/mender-artifact.git
cd mender-artifact/
make
cp mender-artifact $TARGET
cd -
git clone https://github.com/mendersoftware/mender-cli.git
cd mender-cli
cp mender-cli $TARGET
make
cd -
# Remove build files
cd $ROOT
rm -rf /tmp/mender-artifact
rm -rf /tmp/mender-cli
rm -rf ~/go
